QGIS Application - Bug report #1405
Python Plugin Installer not UTF-8 aware
2008-11-17 02:57 AM - Andreas Neumann

Status: Closed
Priority: Low
Assignee: Borys Jurgiel
Category: C++ Plugins

Affected QGIS version:
Operating System: All

Pull Request or Patch supplied:
Crashes QGIS or corrupts data:

Regression?: No
Easy fix?: No
Resolution: invalid

Copied to github as #: 11465

Description

It seems like the Python QGIS Plugin installer has problems displaying UTF-8 characters.

As an example | am using german umlauts in the plugin description which is not displayed correctly.

Tested on Ubuntu 8.10 (current SVN trunk) and Win2K with QGIS 1.0 Preview2

History

#1 - 2008-11-19 02:31 AM - Borys Jurgiel
- Resolution set to invalid
- Status changed from Open to Closed

It's correct behaviour, just remember to use unicode strings (u'foo') in init.py methods. Note also that QGIS < commit:4c5e4838 (SVN r9664) didn't

support unicode plugin metadata.

#2 - 2009-08-22 12:57 AM - Anonymous

Milestone Version 1.0.0 deleted

2025-12-20

1/1




